libzypp 17.37.10

zyppng::SocketPrivate::ConnectedState Struct Reference

`#include <zypp-core/zyppng/io/private/socket_p.h>`

Inheritance diagram for zyppng::SocketPrivate::ConnectedState:

## Public Member Functions
| NON_COPYABLE (ConnectedState)
| ConnectedState ()=default

## Static Public Member Functions
static constexpr Socket::SocketState | type ()

## Public Attributes
SocketNotifier::Ptr | _socketNotifier
IOBuffer | _writeBuffer

## Detailed Description

Definition at line 91 of file socket_p.h.

## Constructor & Destructor Documentation

## ◆ ConnectedState()

zyppng::SocketPrivate::ConnectedState::ConnectedState | ( |  | ) |
| default

## Member Function Documentation

## ◆ NON_COPYABLE()

zyppng::SocketPrivate::ConnectedState::NON_COPYABLE | ( | ConnectedState |  | ) |

## ◆ type()

constexpr Socket::SocketState zyppng::SocketPrivate::ConnectedState::type | ( |  | ) |
| inline static constexpr

Definition at line 94 of file socket_p.h.

## Member Data Documentation

## ◆ _socketNotifier

SocketNotifier::Ptr zyppng::SocketPrivate::ConnectedState::_socketNotifier

Definition at line 95 of file socket_p.h.

## ◆ _writeBuffer

IOBuffer zyppng::SocketPrivate::ConnectedState::_writeBuffer

Definition at line 96 of file socket_p.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/io/private/socket_p.h